Bug 1412608 - gdm autologin does not set /etc/environment variables
Summary: gdm autologin does not set /etc/environment variables
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 12:32 UTC by Christian Klomp
Modified: 2017-12-12 10:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:06:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Klomp 2017-01-12 12:32:52 UTC
Description of problem:
Using gdm to automatically login a user results in environment variables from /etc/environment not being set. To make gdm set these variables it is necessary to manually login. This happens both with Wayland and Xorg sessions.

Version-Release number of selected component (if applicable):
- gdm-3.22.1-1.fc25.x86_64
- systemd-231-10.fc25.x86_64

How reproducible:
Configure some environment variables in /etc/environment and enable gdm autologin. Then check the environment after an autologin and a subsequent manual login.

Steps to Reproduce:
1. add variable to /etc/environment: echo TESTVAR=test >> /etc/environment
2. enable gdm autologin manually in /etc/gdm/custom.conf or via gnome-control-center
3. reboot and check environment: env | grep test
4. log out and in, check environment again

Actual results:
Variable is not set in automatic login session but is set after logging in manually.

Expected results:
Variables from /etc/environment should also be set during automatic login.

Additional info:
- Environment variables set via systemd drop-in files are set correctly in the autologin session. I.e. setting variables via systemctl edit user@1000.service works as expected (but this needs to be done for each user separately or hardcoded in the service file since overriding via user@.service without a uid doesn't seem to be working).

Comment 1 Fedora End Of Life 2017-11-16 18:44:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:06:58 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.